import Qt 4.7
import quickwidgets 1.0

Rectangle {
     id: proclabel
     width: 100
     height: childrenRect.height
     color: "blue"
     opacity: 0.8
     radius: 5

     function parse(stdout) {
         var rx = /[0-9]+/gi;
         var val = stdout.match(rx)
         return String(val)
     }

     property string command: "sh -c \"cat /proc/meminfo | /bin/grep 'Active:'\""
     property string label: "Value:"
     property string textcolor: "white"
     property real interval_in_sec: 5

     Text {
     	  id: txt
	  smooth: true
          font.pointSize: 16
          anchors.right: proclabel.right
          anchors.margins: 5
          text: ""
	  verticalAlignment: Text.AlignVCenter
          horizontalAlignment: Text.AlignRight
          color: proclabel.textcolor
     }

     Text {
          id: label
          smooth: true
          font.pointSize: 16
          anchors.left: proclabel.left
          anchors.margins: 5
          text: proclabel.label
          verticalAlignment: Text.AlignVCenter
          horizontalAlignment: Text.AlignLeft
          color: proclabel.textcolor
     }

     Process {
     	  id: process
          command: proclabel.command
          onCompleted: { txt.text = parse(stdout) }
          onFailed: { proclabel.color = "red"; txt.text = stderr }
     }

     Timer {
     	  running: runtime.isActiveWindow
     	  repeat: true
          interval: proclabel.interval_in_sec*1000
	  onTriggered: { process.run() }
     }
 }
